Subject: Re: [X2Go-Dev] Bug#512: Fwd: Re: Bug#512: Bug#512: Bug#448: Bug#512: Auto log-in (ssh-agent) doesn't work since 4.0.1.2

From: Ilia Shakitko <[email-masked]>
Date: Wed, 16 Jul 2014 12:03:18 +0200

Hi Stefan,

Thx for explanation. Well, this config was taken from the old version
(where either you DO two actions, or it won't work).

Now it works!

2014-07-16 11:59 GMT+02:00 Stefan Baur <[email-masked]>:

> Damn,
>
> this should have gone directly to the bugtracker, but I mis-clicked when
> responding.
>
> -Stefan
>
>
> -------- Original-Nachricht --------
>
>
> Am 16.07.2014 10:54, schrieb Stefan Baur:
> > Am 16.07.2014 10:43, schrieb Ilia Shakitko:
> >> I've installed: x2goclient-4.0.2.1+hotfix1-setup.exe
> >>
> >> It still doesn't work. It asks me for a credentials. What should I input
> >> - I have no idea. I tried my key password, I tried password from my
> >> machine - doesn't work.
> >
> > I'm unable to confirm/reproduce that.  Running
> > x2goclient-4.0.2.1+hotfix1-setup.exe, PuTTY/Pageant and Windows 7 works
> > just fine for me.  Only Pageant asks for my password (once, when it
> > loads the key).
> >
> > My guess is that there's something broken in your client-side x2go
> config.
> >
> > Can you post a screen shot of the session config window?  The first tab
> > is sufficient, and you can censor the server name/ip if you want.
>
> Indeed it is user error:
>
> Ilia provided this screenshot:
> http://picpaste.com/e25e23ec34370445d7a579af7d10c7bb.png
>
> It clearly shows that he's specifying a key file - and one in the wrong
> format (*.ppk), too - when he actually wants to use Agent authentication.
>
> Ilia:
> If you want to use an SSH agent (like Pageant on Windows),
> 1) *DO* check the "Try auto login (ssh-agent or default ssh key)" box, but
> 2) *DO NOT* enter anything in the "Use RSA/DSA key for ssh connection"
> field!
>
> You only need to specify a keyfile at "Use RSA/DSA key for ssh
> connection" if you *DO NOT* want to use SSH agent authentication.
>
> And *IF* you specify a keyfile there, it must adhere to the OpenSSH
> keyfile standard. A *.PPK file will *NOT* work, as PuTTY/Pageant uses a
> different format.
>
> -Stefan
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev
>

-- 
Best regards
Ilia Shakitko
primary     tel. +31-6-86423406
skype: svscorp
LinkedIn:   http://ru.linkedin.com/in/shakitko
Facebook: http://www.facebook.com/shakitko